#include "colors.inc"
#include "textures.inc"
#include"metals.inc"
#include"golds.inc"
#include"woods.inc"

global_settings { assumed_gamma 2.2 }

#declare M_Cloud1 =
pigment{ wood
         frequency 2
         color_map { [0.0 color <1,0.824,0.586>]
                     [0.6 color <1,0.836,0.504>]}
         scale <20, 5.555, 1>
         rotate <10,33,0>
         }

#declare M_Cloud2 =
pigment { wrinkles
          turbulence 0.1
          lambda 2.2
          omega 0.707
          pigment_map { [0.20 M_Cloud1]
                        [0.50 rgb <0.8007,0.816,0.7185>]
                        [1.00 rgb <0.6679,0.6484,0.5625>] }
         scale <0.5, 0.18, 1>
         rotate <-15,2,0>
         }

#declare Cloud =
sky_sphere {
           pigment { gradient y
                   pigment_map { [0.00 rgb <0.747,0.747,0.649>]
                                 [0.10 M_Cloud2] }
                                 }
                  }

light_source{  0*x  color red 1.0  green 0.82  blue 0.38   translate <1000, 4500, 40000>}
light_source{  0*x  color red 0.60  green 0.60  blue 0.60   translate <-200, 2000, -2000>}

camera{location <0 ,247,-4500>direction<0,0,14>look_at<0,120,0>}

box{<-1000,0,-1000><1000,0.01,200>
   texture {pigment{ SeaGreen}
             normal{ripples .35 frequency 100 turbulence .5}
             finish{ambient.1 diffuse .1 reflection .7 specular .5 roughness .03}
    scale <80 40 40>}
}

sky_sphere {Cloud scale <0.1,0.3.1>rotate<5,35,75>}

#include "statue.inc"

#declare Dam = union{
box{<25, 0, 0><  60,1.5,50>}
box{<-60, 0, 0>< -25,1.5,50>}
box{<0, 0, 0><  220,1.5,15>translate < 25, 0,-14>}
box{<0, 0, 0>< -220,1.5,15>translate <-25, 0,-14>}
}

#include "boot.inc"
object {Sgal scale 0.75 rotate <0,90,10> translate <0,0,50>}
object {Sgal scale 0.50 rotate <0,90,10> translate <-80,0,150>}
object {Hgal rotate <0,-10,0> translate <15,0,-600>}
object {Hgal rotate <0,180,0> translate <-95,0,-420>}
object {Hgal rotate <0,65,0> translate <100,0,-440>}
object {Hgal rotate <0,0,0> translate <130,0,-360>}
object {Hgal rotate <0,55,0> translate <-135,0,-350>}
object {Hgal rotate <0,85,0> translate <-155,0,-225>}
object {Hgal rotate <0,95,0> translate <-155,0,-265>}
object {Hgal rotate <0,10,0> translate <-180,0,-170>}
object {Hgal rotate <0,180,0> translate <-175,0,-150>}
object {Hgal rotate <0,-10,0> translate <-170,0,-130>}
object {Hgal rotate <0,5,0> translate <-160,0,-110>}
object {Hgal rotate <0,15,0> translate <-145,0,-90>}
object {Hgal rotate <0,-175,0> translate <-145,0,-70>}
object {Hgal rotate <0,80,0> translate <80,0,-35>}
object {Hgal rotate <0,-90,0> translate <90,0,-40>}
object {Hgal rotate <0,70,0> translate <105,0,-35>}
object {Hgal rotate <0,-80,0> translate <120,0,-37>}
object {Hgal rotate <0,80,0> translate <130,0,-33>}
object {Hgal rotate <0,95,0> translate <145,0,-38>}
object {Hgal rotate <0,-85,0> translate <155,0,-38>}

#include "dorp.inc"
object{Dorp rotate <-90,227,0> translate <-200,.5,-40>}
object{Dorp scale 1.5 rotate <-90,20,0> translate <-200,.5,-275>}
object{Dorp scale 1.5 rotate <-90,-10,0> translate <-160,.5,-525>}
object{Dorp1 scale 1.5 rotate <-90,-50,0> translate <-100,.5,-670>}

#declare Bodem= union{
box{<0,0,0><300,2.5,300>rotate y* 75 translate <100,  0,-400>}
box{<0,0,0><300,2.5,300>rotate y* 45 translate < 5,   0,-675>}
box{<0,0,0><300,2.5,300>rotate y*-45 translate <-200, 0,-900>}
box{<0,0,0><100,2.5,100>rotate y* 15 translate <-200, 0,-550>}
box{<0,0,0><100,2.5,100>rotate y*-15 translate <-200, 0,-500>}
box{<0,0,0><200,2.5,200>rotate y* -5 translate <-350, 0,-400>}
box{<0,0,0><200,2.5,230>rotate y* 17 translate <-425, 0,-180>}
}

object{Bodem texture{Grond scale 0.1}}

//silo
cone
{<165,0,-550>20,<165,15,-550>,18
texture {muur scale <0.1,20,0.1>}
}
object{Dam texture {Grond scale 0.1}}
